<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">JsonObject Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classJsonObject.html">JsonObject</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>getArray</b>(std::string name) (defined in <a class="el" href="classJsonObject.html">JsonObject</a>)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classJsonObject.html#ad80fed0c6cf783b90895170e88fc790e">getBoolean</a>(std::string name)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classJsonObject.html#af1ee31ad591bbb55fbdc97c38c041d83">getDouble</a>(std::string name)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classJsonObject.html#a05eff76d1f6f0df121113b62f59a326f">getInt</a>(std::string name)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classJsonObject.html#a8d6e610c9cfe477d9b9126cee33d896b">getObject</a>(std::string name)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classJsonObject.html#a2d38de00713456e0c9f788c8b07b6506">getString</a>(std::string name)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classJsonObject.html#aa42b8e22d2f602d025554d3e801b73b4">hasItem</a>(std::string name)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classJsonObject.html#ab9c68b15c7ee80d19e5064978ecae788">isValid</a>()</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>JSON</b> (defined in <a class="el" href="classJsonObject.html">JsonObject</a>)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>JsonArray</b> (defined in <a class="el" href="classJsonObject.html">JsonObject</a>)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classJsonObject.html#a19f385d7149976a9726e84e2ff287317">setArray</a>(std::string name, JsonArray array)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classJsonObject.html#a325a19e3eaff0b86f36af75f18786bc9">setBoolean</a>(std::string name, bool value)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classJsonObject.html#a845838c1d36f3ff586b325b5b56b65bc">setDouble</a>(std::string name, double value)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classJsonObject.html#a3e874f6366c532732adbb7dcc50a641c">setInt</a>(std::string name, int value)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classJsonObject.html#acdf7762d31f04063b1b6a871ae91af0e">setObject</a>(std::string name, JsonObject value)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classJsonObject.html#ac080c7b7037401cb2b0034c7f6220026">setString</a>(std::string name, std::string value)</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classJsonObject.html#a94a56e5e5d1f7f2134470fd2f24bcf9f">toString</a>()</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classJsonObject.html#ab3b8d1dee7b8246d26d717e31dd461bb">toStringUnformatted</a>()</td><td class="entry"><a class="el" href="classJsonObject.html">JsonObject</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
